Net::DBus::Binding::Message::MethodCall(3)

NAME
Net::DBus::Binding::Message::MethodCall - a message encoding a method call

DESCRIPTION
This module is part of the low-level DBus binding APIs, and should not be used by application code. No guarentees are made about APIs under the "Net::DBus::Binding::" namespace being stable across releases.

This module provides a convenience constructor for creating a message representing a method call.

METHODS

my $call = Net::DBus::Binding::Message::MethodCall->new( service_name => $service, object_path => $object, interface => $interface, method_name => $name);
    Create a message representing a call on the object located at the path "object_path" within the client owning the well-known name given by "service_name". The method to be invoked has the name "method_name" within the interface specified by the "interface" parameter.

AUTHOR
Daniel P. Berrange.

COPYRIGHT
Copyright (C) 2005-2006 Daniel P. Berrange

SEE ALSO
Net::DBus::Binding::Message